# gtranslate
Better front-end for Google Translate that doesn't track you and works
without JavaScript.

# Installation
```sh
git clone https://git.sr.ht/~yerinalexey/gtranslate
cd gtranslate

go build
```

Then run the server with

```sh
./gtranslate
```

If you want to use a different port:

```sh
./gtranslate -b :3000 # will run on port 3000
```

Note: if you're running it outside of development environment, you
should pass `--template-dir` and `--static-dir` arguments pointing to
templates and static directories:

```sh
./gtranslate \
  --template-dir /usr/share/webapps/gtranslate/templates \
  --static-dir /usr/share/webapps/gtranslate/static
```

Other settings (available via `./gtranslate --help`:
```
  -b, --bind string           Address to bind the server to, [addr]:port (default ":5000")
      --proxy string          Proxy URL, with no scheme http is assumed
      --static-dir string     Static files directory (default "./static")
      --template-dir string   Templates directory (default "./templates")
  -T, --tor                   Use Tor Browser's User-Agent string
      --user-agent string     User-Agent header to use
```

# TODO
- Proper language selector
- Dark theme
